org.eclipse.incquery.runtime.rete.eval

## Class AbstractEvaluatorNode

- java.lang.Object
- - org.eclipse.incquery.runtime.rete.network.BaseNode
  - - org.eclipse.incquery.runtime.rete.network.StandardNode
    - - org.eclipse.incquery.runtime.rete.single.SingleInputNode
      - - org.eclipse.incquery.runtime.rete.eval.AbstractEvaluatorNode

- All Implemented Interfaces:
    Node, Receiver, Supplier, Tunnel
  Direct Known Subclasses:
    MemorylessEvaluatorNode, OutputCachingEvaluatorNode

      public abstract class AbstractEvaluatorNode
      extends SingleInputNode

  Author:
    Bergmann Gabor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractEvaluatorNode(ReteContainer reteContainer, org.apache.log4j.Logger logger, IExpressionEvaluator evaluator, java.util.Map<java.lang.String,java.lang.Integer> parameterPositions, int sourceTupleWidth)`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.single.SingleInputNode

      `appendParent, assignTraceInfo, getParents, propagatePullInto, removeParent`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.network.StandardNode

      `appendChild, constructIndex, getPulledContents, getReceivers, removeChild`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.network.BaseNode

      `acceptPropagatedTraceInfo, getContainer, getNodeId, getTag, getTraceInfos, setTag, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.network.Supplier

      `appendChild, constructIndex, getPulledContents, getReceivers, pullInto, removeChild`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.network.Receiver

      `update`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.network.Node

      `acceptPropagatedTraceInfo, getContainer, getNodeId, getTag, getTraceInfos, setTag`

- - ### Constructor Detail

    - #### AbstractEvaluatorNode

          public AbstractEvaluatorNode(ReteContainer reteContainer,
                                       org.apache.log4j.Logger logger,
                                       IExpressionEvaluator evaluator,
                                       java.util.Map<java.lang.String,java.lang.Integer> parameterPositions,
                                       int sourceTupleWidth)